import request from '@/utils/request'

// 查询公共信用综合评价结果列表
export function listEvaluation(query) {
  return request({
    url: '/basicData/xcrPublicCreditEvaluation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询公共信用综合评价结果详细
export function getEvaluation(xhCodeId) {
  return request({
    url: '/basicData/xcrPublicCreditEvaluation/' + xhCodeId,
    method: 'get'
  })
}

// 新增公共信用综合评价结果
export function addEvaluation(data) {
  return request({
    url: '/basicData/xcrPublicCreditEvaluation',
    method: 'post',
    data: data
  })
}

// 修改公共信用综合评价结果
export function updateEvaluation(data) {
  return request({
    url: '/basicData/xcrPublicCreditEvaluation',
    method: 'put',
    data: data
  })
}

// 删除公共信用综合评价结果
export function delEvaluation(xhCodeId) {
  return request({
    url: '/basicData/xcrPublicCreditEvaluation/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delEvaluationBatch(ids) {
  return request.post('/basicData/xcrPublicCreditEvaluation/delete',ids)
}
